AutoCAD Inventor :: Can't Select Sketch Constraint
Oct 12, 2011
I can't seem to get inventor to select a given parameter inside a sketch. It keeps giving me an error.
All I want to do is to have inventor Select / Highlight a parameter inside of a sketch so the user can clearly see it in the window. Ive tried heaps of different selection options, I just can't work out what ive done wrong.
Sub GetParameter()Dim TargetName As StringDim oCompDef As PartComponentDefinitionDim oSketch As PlanarSketchDim oConstr As DimensionConstraintDim oParam As ParameterDim oCmdMgr As CommandManagerTargetName = d0 ' parameter nameSet oCmdMgr = ThisApplication.CommandManagerSet oCompDef = ThisApplication.ActiveDocument.ComponentDefinitionFor Each oSketch In oCompDef.Sketches For Each oConstr In oSketch.DimensionConstraints If oConstr.Parameter.Name = TargetName Then Set oParam = oConstr.Parameter oSketch.Edit Call oCmdMgr.DoSelect(oParam) Exit Sub End If NextNextEnd Sub
View 2 Replies
ADVERTISEMENT
Oct 25, 2012
I wonder if one can use drive constraint in sketch mode for blocks as I like to visualise how the links move when one dimension changes.
View 4 Replies
View Related
Jan 16, 2013
I am using inv2011. I have to create rec. blocks very often and in inv2011 . I have to constraint it in middle.
Can i write a Macto that gives me constraint rec block in sketch. This feature already available in Inv12.
View 5 Replies
View Related
Jan 25, 2013
I am very new to all Autodesk software. I am currently doing a trial on Inventor 2013 and Solidworks 2013 to decide which software is a better fit for my company. I am offsetting a very complex sketch by .002" and I want to delete the original. Clicking every line and radius does not make sense to me.
View 9 Replies
View Related
Feb 11, 2013
When i place a rectangle in a sketch i can't select the parameters to be directly linked to size. I must first enter a number, delete the number and can then through the triangle to the parameter list. Is it possible to approach the parameters directly ?
View 3 Replies
View Related
Sep 26, 2011
I am not sure exactly why this is a limited feature of Inventor 2011 but when you want to select a sketch to create a boundary patch you have to select each part of the sketch in sequence. It's a pretty laborious task. I am looking to a way to automate this using i logic.
View 5 Replies
View Related
Sep 29, 2011
See attached image file. I can't select just the profile sketch to cut extrude. It only selects the whole face (surface). I have this issue on (2) different workstations and on various parts along the way.
View 2 Replies
View Related
Nov 9, 2011
I am unable to select Sketch geometry via a crossing window to project to a new sketch.
While in the new sketch if I select " Project Geometry " I am only able to select one line at a time. quite tedious for some of my larger projects.
I can not honestly say that this feature was available in previous releases but it seems to me it was. Am I missing a variable somewhere?
View 2 Replies
View Related
Dec 18, 2013
I am having an issue with the "select sketch features" selection filter. Specifically, it does not seem to work within the edit-in-place environment. If I am sketching on a part that has been opened discretely, selection functions normally. However, if I am editing within an assembly and I attempt to work in a sketch, face selection takes priority over selecting dimensions or sketch features despite the sketch features filter being active. I have not always had this problem, and it began approximately a month ago. I can't think of anything I might have changed to cause this, but I'm wondering if there's an option somewhere that I accidentally toggled.
Inventor 2014 SP1
Windows 7
View 2 Replies
View Related
Jul 30, 2012
I am designing a vertical axis wind turbine just for some practice (just started using Inventor) and everything was going smoothly until I tried to "animate" it spinning. First, I set up a work plane that goes through the center of the structure, and then I clicked angle constraint "explicit reference vector." After watching several youtube videos, I figured that I should click on the work plane, click on another reference point, and then click another point that would be orthogonal to those two (right?). Well after I choose the first point, Inventor will only allow me to choose the center axis as the second option (which I think should be the third option).
View 6 Replies
View Related
Oct 4, 2012
I cannot select origin to constrain sketch with dimension to origin?
I selected Sketch,
expanded origin,
selected mywork plan (xy)
drew rectangle,
input dims,
right click for marking menu,
selected dimensions,
Origin is yellow,
cannot select it and then edge of rect to set dim that will center sketch on origin? Just like the videos show, but cannot select origin>
View 6 Replies
View Related
Dec 9, 2011
I am a beginner when a extrude a feature and select a part surface for new sketch now i want is to offset that surface but i can,t there is + sign with mouse icon and something like fully constrained is written in down the window.
View 9 Replies
View Related
Sep 21, 2011
I've created a shared sketch and have used it with various features. Sometime those features are suppressed. The model works fine but the shared sketch generates a sketch doctor error because the feature that created it has been suppressed. Is there anyway to make the sketch suppressed so it doesn't trigger a sketch doctor error? Inventor 2013
View 2 Replies
View Related
Sep 20, 2012
How do I duplicate the 2D line work from a part level sketch into a drawing level (overlay) sketch?
I started a simple 2D piping system diagram sketch by opening a new part file and using a sketch to stick draw the system schematic including some annotations. Then I opened a new drawing file and made a base view of the part file to bring a view of the original sketch into the drawing.
I realize now that it would have been much easier to have created the schematic directly in a 2D sketch at the drawing level, which would have made editing the annotations much easier at the drawing level, and there is really no need for the part file to exist. I have no intention of creating a 3D model or "real" part in the .ipt file, was just using it as a jumping off point to sketch.
I was thinking that I could correct my error in judgment by just copying the sketch and pasting it into a new sketch on the drawing, but it doesn't want to work that way. I have tried copying both the whole sketch at the browser level, and the entire sketch contents (all of the lines and annotations) from the opened part sketch, but when I attempt to paste either of those into the drawing, paste does not seem to be an option. I'd rather not have to draw the whole thing again, as in typical fashion, my once simple sketch has grown in proportion and complexity from its simple beginning.
View 4 Replies
View Related
Dec 3, 2013
I was trying to query some sketch points data from a profile Path using code as below. However the program stopped without telling the reason.
Code below:
i = 0;
foreach (ProfileEntity oSourceProfileEntity in oProfilePath) { switch (oProfilePath[i].SketchEntity.Type) { case ObjectTypeEnum.kSketchArcObject: { SketchArc srcSkArc = default(SketchArc); srcSkArc = (SketchArc) oSourceProfileEntity.SketchEntity; // error points[i] = srcSkArc.StartSketchPoint.Geometry; break; } default: { SketchLine srcSkLine = default(SketchLine); srcSkLine =(SketchLine) oProfilePath[i].SketchEntity; // error points[i] = srcSkLine.StartSketchPoint.Geometry; break; } } i++; }
View 2 Replies
View Related
Aug 1, 2011
First we imported an ".igs" file to inventor, which produced "wires". Then by promoting the wires it produced a 3-d sketch.
The model is in one plane and 2-D, and we are trying to use Ansys 2-D analysis, but in-order to do so it needs to be in a 2-D sketch.
The model is too large to be redrawn on a 2-D plane, how to convert it to a 2-D sketch
View 9 Replies
View Related
Dec 14, 2012
want to change sketch 2013 into the sketch of 2010
View 1 Replies
View Related
May 30, 2013
When I edit certain sketched some other sketches disappear. see attached.
This is causing modelling to slow down as I can not project lines from the sketch that has disappeared.
View 8 Replies
View Related
Aug 22, 2012
After I create a adaptive part from projected sketch. How to modify the sketch? Please see the part attached.
View 6 Replies
View Related
Mar 4, 2012
what is the difference between a sketch and a planar sketch?
View 2 Replies
View Related
Aug 16, 2012
I'm having trouble with constaints, I'd like to constrain my sketch to a point in another sketch on a different plane. Is this posible in Inventor? If so how? If Inventor works differently how would you get a points in one sketch to be linked to points another?
View 2 Replies
View Related
Aug 14, 2012
I have an assembly which has components mated to a radial surface, I need to locate the center of a round slot against an axis, I have X Y coordinates, how can I constrain that part to those X Y coordinates?
Attached is a picture of the assembly.
View 3 Replies
View Related
Nov 28, 2011
I am currently creating a chain block to be animated later on. But, I do not know how to constraint it.
I have attached a zip file of the .ipt and .iam
View 2 Replies
View Related
Mar 10, 2010
Maybe I've just been doing it wrong for the last 5 years, but the Angle constraint is obnoxiously unpredictable. When I constrain a part in an assembly with an angle constraint from the assembly origin plane (or anything else), Inventor always has two solutions; a positive and negative.
Is there something I'm missing here, or is just a design flaw we have to live with?
View 9 Replies
View Related
Jun 1, 2012
I am trying to place a tubes cylindrical surface to another tubes cylindrical surface using add constraint. How do I specify which side of the target surface to apply the constraint ?
View 4 Replies
View Related
Apr 16, 2013
I have a question regarding a transitional constraint between a pin and a surface within an adaptive assembly.
I would like the pin and the surface to be transitional only when the two parts "interfere" with each other.
At the moment with the example attached part A is remaining tangent to part B, restricting the necessary movement of part B to function properly in the mechanism.
In simplified terms I need part B to be able to break free of the "transitional constraint" of part A under certain movement conditions within the mechanism.
View 2 Replies
View Related
Dec 29, 2011
This is probably a simple one that I am missing, but how do I get a parallel constraint applied to these two edges.
View 4 Replies
View Related
Aug 15, 2008
I have noticed what I consider a bug in AI2009. When trying to delete a coincident constraint using the show constraint command, it is impossible to do so. All other constraints I can delete while I am in the "show constraints" dialog box, but not coincident constraints. As soon as I get out of the "Show constraints" command, the yellow dots are still showing and I can then hover over them and they highlight so I can delete them. Is this how it was intended or should I be able to delete them like the others while still in the "show constraints" command?
View 9 Replies
View Related
Oct 8, 2013
I'm running 2014. Somehow, in my ignorance, I have managed to turn off the constraint symbols that show up beside the cursor as I'm sketching.
View 1 Replies
View Related
Dec 18, 2012
Is there a way to expand the constraint window so that I can see my entire parameter formula? In the image below, my equation is cut off in the "offset" window. Or am I supposed to be inputting the parameters in some other manner?
View 9 Replies
View Related
Jul 24, 2012
I'm having a really difficult time maintaining my parameters when making changes to the part I've made in the attachment. The control parameters for this part are:
-100 mm distance between 15mm circles
-1 of the 15 mm holes
-30 mm hole
I am new to inventor but I would also like to be able to set up my constraints correctly. I'm also not sure if my sketches are ideal for this part either. I usually get an error concerning my fillets from the base to the center support beam when I try to change the 100 to 75.
View 2 Replies
View Related